import "d3-transition";
import { SVGWidget } from "./SVGWidget.ts";
import "../src/Surface.css";
export declare class Surface extends SVGWidget {
    _origMenuParam: any;
    _origShowContent: any;
    protected _iconWidget: any;
    protected _containerWidget: any;
    protected _titleRectWidget: any;
    protected _textWidget: any;
    _menuWidget: any;
    protected _surfaceButtons: any;
    protected _clipRect: any;
    protected buttonContainer: any;
    constructor();
    enter(_domNode: any, _element: any): void;
    update(domNode: any, element: any): void;
    exit(domNode: any, element: any): void;
    intersection(pointA: any, pointB: any): any;
    click(d: any): void;
}
export interface Surface {
    showTitle(): boolean;
    showTitle(_: boolean): this;
    title(): string;
    title(_: string): this;
    titleFontSize(): string;
    titleFontSize(_: string): this;
    showIcon(): boolean;
    showIcon(_: boolean): this;
    icon_faChar(): string;
    icon_faChar(_: string): this;
    icon_shape(): string;
    icon_shape(_: string): this;
    content(): any;
    content(_: any): this;
    buttonAnnotations(): any[];
    buttonAnnotations(_: any[]): this;
    buttonGutter(): number;
    buttonGutter(_: number): this;
    showContent(): boolean;
    showContent(_: boolean): this;
    menu(): any[];
    menu(_: any[]): this;
    menuPadding(): number;
    menuPadding(_: number): this;
}
